Bug 145649 - htdig packaging cleanups
htdig packaging cleanups
Product: Fedora
Classification: Fedora
Component: htdig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2005-01-20 08:54 EST by Joe Orton
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-25 09:44:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2005-01-20 08:54:34 EST
1. htdig includes library .a files in /usr/lib/htdig but ships no
headers so the libraries are not actually usable by other
applications, so they should not be packaged

2. htdig should link against the system libdb to avoid stuff like bug
133840 and to reduce package size
Comment 1 Phil Knirsch 2005-01-20 08:58:30 EST
1. Yep, .a libs will be removed in next update
2. Sounds like a good idea. I'll make a fix to use the system libdb
and run some longer tests to make sure eveything works as expected.
Problem might be for updates what to do with older databases...

Read ya, Phil
Comment 2 Phil Knirsch 2005-01-25 09:44:52 EST
OK, point 1 is no problem.

I've just spent a couple of hours trying to get rid of the db coming
with htdig.

The problem is though that they have modified the datastructures to
support compressed databases directly in the db code and it's being
used a lot in the htword stuff.

A major rewrite of the WordDB, WordDBCompress, WordDBPage etc. would
be required and would need lots of testing.

And that still leaves out the problem with older databases and what to
do with them...

So i'll be defering point 2 to some later date and contact the htdig
folks if they would consider dumping the own version of db and
rewriting the htdig to use a standard db as provided by every sane
system these days.

Read ya, Phil
Comment 3 Mark J. Cox (Product Security) 2005-02-15 05:20:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.